> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Agent

> Changes the status of the agent to published and creates a new version.



## OpenAPI

````yaml POST /api/v1/agents/{agent_id}/publish
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/agents/{agent_id}/publish:
    parameters:
      - in: path
        name: agent_id
        description: The ID of the agent.
        example: 01kntjsyhqzfyhwjrx6496frrh
        required: true
        schema:
          type: string
    post:
      tags:
        - Agent
      summary: Publish Agent
      description: Changes the status of the agent to published and creates a new version.
      operationId: publishAgent
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  description: >-
                    Optional description for this version of the agent. Must not
                    be greater than 1000 characters.
                  example: Updated greeting message and improved response time.
                  nullable: true
      responses:
        '204':
          description: No Content
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````